CD-DISCID(1)

NAME
cd-discid - read CD and get CDDB discid information

SYNOPSIS
cd-discid [option...]

DESCRIPTION
In order to do CDDB queries over the Internet, you must know the DiscID of the CD you are querying. cd-discid provides you with that information. It outputs the discid, the number of tracks, the frame offset of all of the tracks, and the total length of the CD in seconds, on one line in a space-delimited format. cd-discid was designed as a backend tool for cdgrab (now abcde) but will work independently of it.

OPTIONS

--musicbrainz
    Output a TOC that is suitable for calculating the MusicBrainz disc id.

--help
    Display a brief help message.

--version
    Show the version.

devicename
    CD-ROM block device name that contains the CD to be queried. If this option is omitted, the following device name is assumed:

    /dev/cdrom
        Linux and FreeBSD

    /dev/cd0a
        OpenBSD and NetBSD

    /dev/vol/aliases/cdrom0
        Solaris

    /dev/disk1
        MacOS X

    /dev/cd0
        Hurd

AUTHOR
Robert Woodcock <rcw@debian.org>. Updates by Timur Bish <taem@linukz.org>.